package br.com.rjconsultores.auditador.interfaces;

/**
 * Interface que permite informar uma tela alternativa para auditoria do objeto quando o mesmo é alterado em telas diferentes.
 * 
 * @author wilian
 *
 */
public interface AuditavelTelaAlternativa {
	
	/**
	 * Quando o objeto auditado implementar a interface, o valor do retorno desse método será priorizado.
	 * 
	 * @return
	 */
	public String getTelaAlternativa();

}
