package com.rjconsultores.ventaboletos;

import java.util.ArrayList;
import java.util.List;

import com.rjconsultores.ventaboletos.enuns.BancoLayout;

public class ArquivoRemessa {
	
	private BancoLayout bancoLayout;
	private String nomeArquivo;
	private List<ArquivoRemessaItemInteface> itens;
	
	 public ArquivoRemessa(BancoLayout bancoLayout) {
		 this.bancoLayout = bancoLayout;
	}
	
	public BancoLayout getBancoLayout() {
		return bancoLayout;
	}
	
	public String getNomeArquivo() {
		return nomeArquivo;
	}
	
	public void setNomeArquivo(String nomeArquivo) {
		this.nomeArquivo = nomeArquivo;
	}

	public List<ArquivoRemessaItemInteface> getItens() {
		return itens;
	}

	public void setItens(List<ArquivoRemessaItemInteface> itens) {
		this.itens = itens;
	}
	
	public void addItem(ArquivoRemessaItemInteface item) {
		
		if(this.itens == null){
			this.itens = new ArrayList<ArquivoRemessaItemInteface>();
		}
		
		item.getCabecalhoRemessa().setNumeroSequencialRegistro(itens.size() + 1);
		
		this.itens.add(item);
	}

}
