package com.rjconsultores.ventaboletos.enuns;

public enum OcorrenciaSantander {

	ENTRADA_TITULO("01","ENTRADA DE TÍTULO"),
	BAIXA_TITULO("02","BAIXA DE TÍTULO"),
	CONCESSAO_ABATIMENTO("04","CONCESSÃO DE ABATIMENTO"),
	CANCELAMENTO_ABATIMENTO("05","CANCELAMENTO ABATIMENTO"),
	PRORROGACAO_VENCIMENTO("06","PRORROGAÇÃO DE VENCIMENTO"),
	ALTERACAO_CEDENTE("07","ALT. NÚMERO CONT.CEDENTE"),
	ALTERACAO_NUMERO("08","ALTERAÇÃO DO SEU NÚMERO"),
	PROTESTAR("09","PROTESTAR"),
	SUSTAR_PROTESTO("18","SUSTAR PROTESTO");
	
	private OcorrenciaSantander(String id, String label){
		this.id = id;
		this.label = label;
	}
	
	private String id;
	private String label;
	
	public String getId() {
		return id;
	}
	
	public String getLabel() {
		return label;
	}
	
	public static OcorrenciaSantander getInstance(String id){
		
		for(OcorrenciaSantander o : OcorrenciaSantander.values()){
			
			if(o.getId().equals(id)){
				return o;
				
			}
		}
		
		return null;
		
	}
}
